# [BETA] Get network

```http
GET /compute/v1/tenants/{tenantId}/vpc/{vpcId}/networks/{networkId}
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetNetwork`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:networks`

Returns details of a specific network

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `vpcId` (string, required) — VPC ID
- `networkId` (string, required) — Network ID

## Responses

### 200 — OK

Content type: `application/json`

- `cidr` (string)
- `createdAt` (string)
- `gateway` (string)
- `id` (string)
- `name` (string)
- `netmask` (string)
- `vpcId` (string)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)

### 404 — Not Found

Content type: `application/json`

- `message` (string)
